using System;
using System.Collections;
using System.Collections.Generic;

namespace Stat.web.v
{
    /// <summary>
    /// 
    /// </summary>
    public partial class Users : System.Web.UI.MasterPage
    {
        Stat.Security.ISecurity security = Stat.Security.DataFatory.CreateSecurity();
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!security.IsUserLogin() || !security.IsUser())
            {
                Response.Write("<html><head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" /></head><body>");
                Response.Write("您还没有登录，请先登录！");
                Response.Write("</body></html>");
                Response.End();
            }
            int webid = Plugin.Common.Rq_Int("wid");
            if (webid > 0)
            {
                //if (!security.IsOperateWebSite(webid))
                //{
                //    Plugin.Common.Alert("您的操作权限不足！");
                //    Plugin.Common.HistoryGo(-1);
                //    Response.End();
                //}
            }

            if (!IsPostBack)
            {
                GetTop1();
            }
        }
        /// <summary>
        /// 
        /// </summary>
        protected void GetTop1()
        {
            //IList<Stat.Model.Notify> list = Stat.BLL.Notify.GetTop1(1, 1);
            //if (list.Count > 0)
            //{
            //    this.LtrTitle.Text = "<a href=\"/Notice.aspx?id=" + list[0].ID + "\" target=\"_blank\">" + list[0].title + " (查看详细)</a>";
            //    this.LtrContent.Text = Plugin.Common.Cut(Plugin.Common.DealHtml(list[0].content), 250);
          //  }
        }
    }
}
